# Uses of Interface
org.apache.lucene.search.Matches

Packages that use Matches
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of Matches in org.apache.lucene.search

  Classes in org.apache.lucene.search that implement Matches
  Modifier and Type
  Class
  Description
  `class`
  `NamedMatches`
  Utility class to help extract the set of sub queries that have matched from a larger query.
  Fields in org.apache.lucene.search declared as Matches
  Modifier and Type
  Field
  Description
  `static final Matches`
  MatchesUtils.`MATCH_WITH_NO_TERMS`
  Indicates a match with no term positions, for example on a Point or DocValues field, or a field indexed as docs and freqs only
  Methods in org.apache.lucene.search that return Matches
  Modifier and Type
  Method
  Description
  `static Matches`
  MatchesUtils.`forField(String field, IOSupplier<MatchesIterator> mis)`
  Create a Matches for a single field
  `static Matches`
  MatchesUtils.`fromSubMatches(List<Matches> subMatches)`
  Amalgamate a collection of `Matches` into a single object
  `Matches`
  DisjunctionMaxQuery.DisjunctionMaxWeight.`matches(LeafReaderContext context, int doc)`
  `Matches`
  FilterWeight.`matches(LeafReaderContext context, int doc)`
  `Matches`
  PhraseWeight.`matches(LeafReaderContext context, int doc)`
  `Matches`
  Weight.`matches(LeafReaderContext context, int doc)`
  Returns `Matches` for a specific document, or `null` if the document does not match the parent query
  Methods in org.apache.lucene.search that return types with arguments of type Matches
  Modifier and Type
  Method
  Description
  `Collection<Matches>`
  Matches.`getSubMatches()`
  Returns a collection of Matches that make up this instance; if it is not a composite, then this returns an empty list
  `Collection<Matches>`
  NamedMatches.`getSubMatches()`
  Methods in org.apache.lucene.search with parameters of type Matches
  Modifier and Type
  Method
  Description
  `static List<NamedMatches>`
  NamedMatches.`findNamedMatches(Matches matches)`
  Finds all `NamedMatches` in a `Matches` tree
  Method parameters in org.apache.lucene.search with type arguments of type Matches
  Modifier and Type
  Method
  Description
  `static Matches`
  MatchesUtils.`fromSubMatches(List<Matches> subMatches)`
  Amalgamate a collection of `Matches` into a single object
  Constructors in org.apache.lucene.search with parameters of type Matches
  Modifier
  Constructor
  Description
  ``
  `NamedMatches(String name, Matches in)`
  Wraps a `Matches` object and associates a name with it